This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 464215

Summary: Does libvirt really MUST have iscsi-initiator-utils installed
Product: [Fedora] Fedora Reporter: Hans de Goede <hdegoede>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: berrange, mchristi, veillard
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-09-29 07:53:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Hans de Goede 2008-09-26 14:45:03 EDT
Hi,

I've been working together with Mike Christie to change the iscsi-initiator-utils intiscripts so that they don't do anything by default as many people no all of a sudden get iscsi-initiator-utils installed because libvirt requires it and then start complaning about yet another "service" starting.

Then Mike wondered why does libvirt require iscsi-initiator-utils in the first place?

So why does libvirt require iscsi-initiator-utils in the first place?
Comment 1 Daniel Berrange 2008-09-29 05:08:42 EDT
libvirt uses it for iSCSI management support and as such it is a required dependancy, since RPM has no usable notion of 'suggests'/'enhances'.

iscsi-initiator-utils init scripts need to be fixed regardless of whether libvirt depends on it or not
Comment 2 Hans de Goede 2008-09-29 07:53:29 EDT
(In reply to comment #1)
> libvirt uses it for iSCSI management support and as such it is a required
> dependancy, since RPM has no usable notion of 'suggests'/'enhances'.
> 

Ok closing this then.

> iscsi-initiator-utils init scripts need to be fixed regardless of whether
> libvirt depends on it or not

Yeah, I'm working on fixing them, almost done, almost ...